Subject: bug#60559: 29.0.60; "Cannot activate tree-sitter" spam

From: Jostein Kjønigsen <[email-masked]>
Date: Thu, 5 Jan 2023 09:32:29 +0100

On 05.01.2023 09:12, Eli Zaretskii wrote:
>> Date: Thu, 5 Jan 2023 08:57:05 +0100
>> Cc: [email-masked], [email-masked], [email-masked]
>> From: Jostein Kjønigsen <[email-masked]>
>>
>>
>> So if I understand this correctly, the change is simply that people
>> wanting to use these modes now needs to do two things instead of one:
>>
>> 1. build with tree-sitter support (already a requirement)
>>
>> 2. will have to (require) the modes they want to use in their init.el
>> (the change)
>>
>> Have I understood things correctly?
> Yes, that's the idea.  We could also make the mode command be
> autoloaded, so just "M-x foo-ts-mode RET" the first time will load the
> mode, thus avoiding the need for require in the init files.  I guess
> there will be users which will prefer one or the other.
>
If we assume that distros are going to be building with 
treesitter-support sooner rather than later, I guess that would be the 
absolutely smoothest way we can have for users to have this working OOB, 
without causing issues for users/distros building without such support.

I definitely support such an approach if it's doable without too much 
effort or risk.

--

Jostein